MegaBotopolis

Author Topic: MacroGoblin v2.8.1.0 Released  (Read 10142 times)

Offline Jack

  • Administrator
  • Goblin Zealot
  • *****
  • Posts: 15311
MacroGoblin v2.8.1.0 Released
« on: February 08, 2011, 01:56:49 PM »
MacroGoblin 2.8.1.0 Released

This should now be downloadable in "My Downloads". Uninstall the old version before installing this one..

Summary
This update contains a number of fixes for globalization errors occuring for some users with operating systems using languages containing non-UTF8 characters. The update also contains many new functions that are available for use inside plugins. Users of old bots will not need to upgrade to this version but you're encouraged to do so.  Future bots, including the upcoming Rift bot will require this version or higher to run properly.


Installing the New Version
  • First Uninstall the old MG version using the Control Panel (Add/Remove Programs).
  • Head to the "My Downloads" part of the website and download the new version (v2.8.1.0).
  • Run the downloaded installation file. It should install .Net Framework 3.5 SP1 if you don't already have it installed.
  • Start up the new version and log into the MG servers.
  • Now you can either exit the program and run a bot launcher (ie Aion Goblin), or load up a .mg file bot.


The information in this change log is primarily for bot designers and modifiers. Regular bot users do not need to understand this technical information.  


Change Highlights
  • Fixed a few bugs that occured for those using operating system languages with non-UTF8 characters.
  • MacroGoblin plugin designers have access to new functions, interfaces, etc.


More detailed information on the changes can be found Here.

 
« Last Edit: February 08, 2011, 02:25:00 PM by Jack »